@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body.bodycls {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #000;
    color: #f8f8f8;
}

.login.container {
    height: 420px;
    width: 380px;
    position: relative;
    background-color: #234;
    border-radius: 10px;
    overflow: hidden;
}

.login.container::before {
    content: '';
    position: absolute;
    top: -50%;
    left: -50%;
    height: 420px;
    width: 380px;
    background: linear-gradient(0deg, transparent , transparent, #ff00d4,
    #ff00d4 , #ff00d4);
    transform-origin: bottom right;
    z-index: 1;
    animation: animate 6s linear infinite;
}


.login.container::after {
    content: '';
    position: absolute;
    top: -50%;
    left: -50%;
    height: 420px;
    width: 380px;
    background: linear-gradient(0deg, transparent , transparent, #43f3ff,
    #43f3ff , #43f3ff);
    transform-origin: bottom right;
    z-index: 1;
    animation: animate 6s linear infinite;
    animation-delay: -3s;
}

@keyframes animate {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.login.container form {
    position: absolute;
    inset: 4px;
    background-color: #000;
    border-radius: 10px;
    padding: 50px 40px;
    display: flex;
    flex-direction: column;
    z-index: 2;
}

.login.container form h2 {
    color: #f8f8f8;
    font-weight: bold;
    text-align: center;
    font-size: 1.2rem;
    padding: 10px;
    letter-spacing: 0.1em;
}

.login.container form .input-box {
    position: relative;
    margin-top: 25px;
}

.login.container form .input-box input {
    position: relative;
    width: 100%;
    padding: 10px;
    background-color: transparent;
    outline: none;
    border: 2px solid #f8f8f8;
    border-radius: 5px;
    color: #f8f8f8;
    font-size: 1rem;
    transition: 0.30s ease;
    z-index: 9;
}

.login.container form .input-box span {
    position: absolute;
    color: #999;
    left: 5%;
    padding: 10px;
    transition: 0.5s ease;
}

.login.container form .input-box input:valid~span,
.login.container form .input-box input:focus~span {
    color : orange ;
    transform: translateY(-30px);
    z-index: 9;
}


.login.container form .links {
    display: flex;
    justify-content: space-between;
}

.login.container form .links a {
    text-decoration: none;
    padding: 10px;
    color: rgb(94 ,94, 178);
    transition: all 0.3s ease-in-out;
}

.login.container form .links a:hover, 
.login.container form .links a:nth-child(2) {
    color: orange;
}


.submit {
      width: 130px;
/*    padding: 20px;*/
    margin: 9px 0px;
    position: relative;
    display: inline-block;
    padding: 12px 25px;
    color: #03e9f4;
    font-size: 16px;
    text-decoration: none;
    text-transform: uppercase;
    overflow: hidden;
    transition: 0.5s;
    letter-spacing: 4px;
}

.submit:hover {
  background: #03e9f4;
  color: #fff;
  border-radius: 5px;
  box-shadow: 0 0 5px #03e9f4, 0 0 25px #03e9f4, 0 0 50px #03e9f4,
    0 0 100px #03e9f4;
  cursor: pointer;
}

a.loginsbmt span {
  position: absolute;
  display: block;
}

 a.loginsbmt span:nth-child(1) {
  top: 0;
  left: -100%;
  width: 100%;
  height: 2px;
  background: linear-gradient(90deg, transparent, #03e9f4);
  animation: btn-anim1 1s linear infinite;
}


@keyframes btn-anim1 {
  0% {
    left: -100%;
  }
  50%,
  100% {
    left: 100%;
  }
}

 a.loginsbmt span:nth-child(2) {
  top: -100%;
  right: 0;
  width: 2px;
  height: 100%;
  background: linear-gradient(180deg, transparent, #03e9f4);
  animation: btn-anim2 1s linear infinite;
  animation-delay: 0.25s;
}

@keyframes btn-anim2 {
  0% {
    top: -100%;
  }
  50%,
  100% {
    top: 100%;
  }
}

 a span:nth-child(3) {
  bottom: 0;
  right: -100%;
  width: 100%;
  height: 2px;
  background: linear-gradient(270deg, transparent, #03e9f4);
  animation: btn-anim3 1s linear infinite;
  animation-delay: 0.5s;
}

@keyframes btn-anim3 {
  0% {
    right: -100%;
  }
  50%,
  100% {
    right: 100%;
  }
}

 a span:nth-child(4) {
  bottom: -100%;
  left: 0;
  width: 2px;
  height: 100%;
  background: linear-gradient(360deg, transparent, #03e9f4);
  animation: btn-anim4 1s linear infinite;
  animation-delay: 0.75s;
}

@keyframes btn-anim4 {
  0% {
    bottom: -100%;
  }
  50%,
  100% {
    bottom: 100%;
  }
}

#togglePassword{
    position: absolute;
    right: 0;
    top: 5px;
    z-index: 10;
    border: none;
    font-size: 18px;
    color: #fff;
    cursor:pointer;
}

#togglePassword:hover{
    background:transparent;
    border:none;
}
#togglePassword:focus{
    background:transparent;
    outline:none;
    box-shadow :none;
}
.forgotpassword{
    margin-top:15px;
}
.forgotpassword a{
    color:#fff;
}